Package org.gradle.language.cpp.plugins

## Class CppPlugin

- java.lang.Object
- - org.gradle.language.cpp.plugins.CppPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      @Incubating
      public class CppPlugin
      extends Object
      implements Plugin<Project>

  A plugin for projects wishing to build native binary components from C++ sources.

  Automatically includes the `CppLangPlugin` for core C++ support and the `NativeComponentPlugin` for native component support.

  - Creates a `CppCompile` task for each `CppSourceSet` to compile the C++ sources.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CppPlugin()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CppPlugin

          public CppPlugin()

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object